it.csi.mddtools.guigen

## Interface ApplicationArea

- All Superinterfaces:
    org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier

      public interface ApplicationArea
      extends org.eclipse.emf.ecore.EObject

  A representation of the model object 'Application Area'. Rappresenta l'area di user interface specifica dell'applicazione, innestata nella struttura comune solitamente definita dagli standard del sito di esposizione.

  The following features are supported:

  - `Menubar`
  - `Titlebar`
  - `Statusbar`
  - `Content Panels`
  - `Static Links`
  - `On Init Command`
  - `Modules`
  - `Ext Modules`
  - `Home Page`
  See Also:
    `GuigenPackage.getApplicationArea()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.eclipse.emf.common.util.EList<ContentPanel>` | `getContentPanels()` Returns the value of the 'Content Panels' containment reference list.
    `org.eclipse.emf.common.util.EList<AppModule>` | `getExtModules()` Returns the value of the 'Ext Modules' reference list.
    `ContentPanel` | `getHomePage()` Returns the value of the 'Home Page' reference
    `Menubar` | `getMenubar()` Returns the value of the 'Menubar' containment reference
    `org.eclipse.emf.common.util.EList<AppModule>` | `getModules()` Returns the value of the 'Modules' containment reference list.
    `Command` | `getOnInitCommand()` Returns the value of the 'On Init Command' containment reference
    `StaticLinks` | `getStaticLinks()` Returns the value of the 'Static Links' containment reference
    `Statusbar` | `getStatusbar()` Returns the value of the 'Statusbar' containment reference
    `Titlebar` | `getTitlebar()` Returns the value of the 'Titlebar' containment reference
    `void` | `setHomePage(ContentPanel value)` Sets the value of the '`Home Page`' reference
    `void` | `setMenubar(Menubar value)` Sets the value of the '`Menubar`' containment reference
    `void` | `setOnInitCommand(Command value)` Sets the value of the '`On Init Command`' containment reference
    `void` | `setStaticLinks(StaticLinks value)` Sets the value of the '`Static Links`' containment reference
    `void` | `setStatusbar(Statusbar value)` Sets the value of the '`Statusbar`' containment reference
    `void` | `setTitlebar(Titlebar value)` Sets the value of the '`Titlebar`' containment reference

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getMenubar

          Menubar getMenubar()

      Returns the value of the 'Menubar' containment reference.

      If the meaning of the 'Menubar' containment reference isn't clear, there really should be more of a description here...

      Struttura del menu dell'applicazione. Il menu deve essere definito in questo punto, mentre la visualizzazione effettiva dipende dalla particolare cartuccia di layout. In alcuni layout potrebbe esserci un unico modo di visualizzare il menu e la visualizzazione potrebbe essere di default (es. in alto sotto al banner dell'applicativo). In altri layout il menu deve essere inserito esplicitamente tramite un particolare widget denominato MenuView che viene espanso con la struttura del menu definita in questo elemento.
      Returns:
        the value of the 'Menubar' containment reference.
      See Also:
        `setMenubar(Menubar)`, `GuigenPackage.getApplicationArea_Menubar()`

    - #### setMenubar

          void setMenubar(Menubar value)

      Sets the value of the '`Menubar`' containment reference.
      Parameters:
        `value` - the new value of the 'Menubar' containment reference.
      See Also:
        `getMenubar()`

    - #### getTitlebar

          Titlebar getTitlebar()

      Returns the value of the 'Titlebar' containment reference.

      If the meaning of the 'Titlebar' containment reference isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Titlebar' containment reference.
      See Also:
        `setTitlebar(Titlebar)`, `GuigenPackage.getApplicationArea_Titlebar()`

    - #### setTitlebar

          void setTitlebar(Titlebar value)

      Sets the value of the '`Titlebar`' containment reference.
      Parameters:
        `value` - the new value of the 'Titlebar' containment reference.
      See Also:
        `getTitlebar()`

    - #### getStatusbar

          Statusbar getStatusbar()

      Returns the value of the 'Statusbar' containment reference.

      If the meaning of the 'Statusbar' containment reference isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Statusbar' containment reference.
      See Also:
        `setStatusbar(Statusbar)`, `GuigenPackage.getApplicationArea_Statusbar()`

    - #### setStatusbar

          void setStatusbar(Statusbar value)

      Sets the value of the '`Statusbar`' containment reference.
      Parameters:
        `value` - the new value of the 'Statusbar' containment reference.
      See Also:
        `getStatusbar()`

    - #### getContentPanels

          org.eclipse.emf.common.util.EList<ContentPanel> getContentPanels()

      Returns the value of the 'Content Panels' containment reference list. The list contents are of type `ContentPanel`.

      If the meaning of the 'Content Panels' containment reference list isn't clear, there really should be more of a description here...

      Contiene i ContentPanel che costituiscono le schermate dell'applicazione. Deprecato (dalla v.1.3): definire le schermate in uno o più AppModule, preferibilmente mantenuti su file separati.
      Returns:
        the value of the 'Content Panels' containment reference list.
      See Also:
        `GuigenPackage.getApplicationArea_ContentPanels()`

    - #### getStaticLinks

          StaticLinks getStaticLinks()

      Returns the value of the 'Static Links' containment reference.

      If the meaning of the 'Static Links' containment reference isn't clear, there really should be more of a description here...

      [[TODO: add documentation here]]
      Returns:
        the value of the 'Static Links' containment reference.
      See Also:
        `setStaticLinks(StaticLinks)`, `GuigenPackage.getApplicationArea_StaticLinks()`

    - #### setStaticLinks

          void setStaticLinks(StaticLinks value)

      Sets the value of the '`Static Links`' containment reference.
      Parameters:
        `value` - the new value of the 'Static Links' containment reference.
      See Also:
        `getStaticLinks()`

    - #### getOnInitCommand

          Command getOnInitCommand()

      Returns the value of the 'On Init Command' containment reference.

      If the meaning of the 'On Init Command' containment reference isn't clear, there really should be more of a description here...

      Comandi che vengono eseguiti all'inizializzazione dell'applicazione
      Returns:
        the value of the 'On Init Command' containment reference.
      See Also:
        `setOnInitCommand(Command)`, `GuigenPackage.getApplicationArea_OnInitCommand()`

    - #### setOnInitCommand

          void setOnInitCommand(Command value)

      Sets the value of the '`On Init Command`' containment reference.
      Parameters:
        `value` - the new value of the 'On Init Command' containment reference.
      See Also:
        `getOnInitCommand()`

    - #### getModules

          org.eclipse.emf.common.util.EList<AppModule> getModules()

      Returns the value of the 'Modules' containment reference list. The list contents are of type `AppModule`.

      If the meaning of the 'Modules' containment reference list isn't clear, there really should be more of a description here...

      Moduli applicativi (insiemi di ContentPanel). Deprecato: utilizzare extModules e mantenere gli AppModule su file separati.
      Returns:
        the value of the 'Modules' containment reference list.
      See Also:
        `GuigenPackage.getApplicationArea_Modules()`

    - #### getExtModules

          org.eclipse.emf.common.util.EList<AppModule> getExtModules()

      Returns the value of the 'Ext Modules' reference list. The list contents are of type `AppModule`. Moduli applicativi (insiemi di ContentPanel). Gli AppModule devono essere mantenuti su file separati.
      Returns:
        the value of the 'Ext Modules' reference list.
      See Also:
        `GuigenPackage.getApplicationArea_ExtModules()`

    - #### getHomePage

          ContentPanel getHomePage()

      Returns the value of the 'Home Page' reference.

      If the meaning of the 'Home Page' reference isn't clear, there really should be more of a description here...

      Il content panel che deve essere considerato la Home Page dell'applicativo.
      Returns:
        the value of the 'Home Page' reference.
      See Also:
        `setHomePage(ContentPanel)`, `GuigenPackage.getApplicationArea_HomePage()`

    - #### setHomePage

          void setHomePage(ContentPanel value)

      Sets the value of the '`Home Page`' reference.
      Parameters:
        `value` - the new value of the 'Home Page' reference.
      See Also:
        `getHomePage()`